Subject: Re: bug#13850: Emacs for Windows: Launch better from a command prompt

From: Joel Reicher <[email-masked]>
Date: Sun, 01 May 2022 19:57:51 +1000

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> We already do: just invoke runemacs.exe rather than emacs.exe.
>>
>> As for forking a thread: it is a bit more complex than that.  (We
>> already start at least 2 threads at startup.)  The 2 most important
>> problems are (1) the same executable should be able to run in a text
>> terminal session under -nw, and (2) we don't want the GUI session to
>> have a console.  runemacs.exe solves both.
>>
>> Any reasons not to close this bug?
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> "Use runemacs" seems like it's the correct answer here, so I'm closing
> this bug report.

It is the right answer, but I can't help thinking that there is an issue of ignorance amongst Window users.

Does anyone know why the OP had this `wrong'?

I think we need to keep an eye on Windows users usage patterns/habits; there may be an opportunity here, especially when it comes to the installer.

Regards,

        - Joel